Skip to main content
GET
List issued cards for Punch Card

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

punchCardId
string
required

ID of the Punch Card to get the issued cards for

Response

Paginated response with issued punch cards

current_page
integer

Current page of the response

Example:

1

data
object[]

Array of Bought Punch Cards objects

first_page_url
string

Endpoint to go to the first page of objects

Example:

"https://api.mijnklantportaal.nl/v1/punch-cards/pcd_abc12345def678/issued?page=1"

from
integer

Offset of the current page

Example:

1

next_page_url
string | null

Endpoint to get the next batch of objects, if available

Example:

"https://api.mijnklantportaal.nl/v1/punch-cards/pcd_abc12345def678/issued?page=2,"

path
string

Current used endpoint

Example:

"https://api.mijnklantportaal.nl/v1/punch-cards/pcd_abc12345def678/issued"

per_page
integer

Amount of object returned per page. Default is 15 objects

Example:

15

prev_page_url
string | null

Endpoint to get the previous batch of object, if available

Example:

null

to
integer

Next offset of objects

Example:

15